Session::Start
POST /api/mobile/v4/sessions/startBody Parameters
Section titled “Body Parameters”| Name | Type | Required | Description |
|---|---|---|---|
alias |
string | Yes | The Alias (your Customer or User Id) |
guid |
string | Yes | A unique identifier for the current device of the User |
device |
object | Yes | Details of the Users Device |
current_location |
array_double | No | The current geo-coordinates of the Users Device, if available, in the format of [lat,long] |
Responses
Section titled “Responses”200 - Large In App Notification
{ "user_avatar_url": "https://control.pulsatehq.com/assets/lib/layout/default-user-avatar.svg", "geofences": [
], "beacons": [
], "in_app_notification": { "created_at": 1660908691, "guid": "abcd1234", "position": "top", "size": "large", "type": "personal", "campaign_guid": "def5678", "allow_reply": null, "front": [ { "type": "admin_header_with_message", "position": -1, "attrs": [ { "admin": { "job_title": "CEO", "name": "Sarah Martin", "s_id": "wef09uerno34nng34r", "avatar_url": "https://control.pulsatehq.com/assets/lib/layout/default-user-avatar.svg" }, "message": "Get Started with Pulsate" } ] }, { "type": "call_to_action", "position": 3, "attrs": [ { "destination_type": "openfeed", "destination": "", "in_app_events": null, "label": "View Feed", "shown_btn": true, "show_in_app": false, "order_number": 1 }, { "destination_type": "deeplink", "destination": "/some/deeplink", "in_app_events": null, "label": "Open Deeplink", "shown_btn": true, "show_in_app": false, "order_number": 2 } ] }, { "type": "headline", "position": 1, "attrs": [ { "text": "We're excited to have you partner with us" } ] }, { "type": "image", "position": 0, "attrs": [ { "name": "android_matrix.jpg", "image_url": "https://pulsate-campaign-attachments-production.s3.eu-west-1.amazonaws.com/2022-08-19/5fa13b64636f6e4be81b0000/1660908328_android_matrix.jpg", "width": 1920, "height": 1080 } ] }, { "type": "text", "position": 2, "attrs": [ { "text": "With Pulsate you can deliver relevant and Customised campaigns and Journeys to your Users." } ] } ] }, "opted_out_of_push": false, "location_tracking_enabled": true}200 - Small In App Notification
{ "user_avatar_url": "https://control.pulsatehq.com/assets/lib/layout/default-user-avatar.svg", "geofences": [
], "beacons": [
], "in_app_notification": { "created_at": 1678370499, "guid": "abc1234", "position": "top", "size": "small", "type": "corporate", "campaign_guid": "def5678", "allow_reply": null, "front": [ { "active": true, "type": "call_to_action", "position": 3, "attrs": [ { "destination_type": "openfeed", "destination": "", "destination_url": "", "in_app_events": null, "label": null, "shown_btn": true, "show_in_app": false, "order_number": 1 } ] }, { "active": true, "type": "image_header_with_message", "position": 0, "attrs": [ { "image_url": "http://www.example-domain.com/assets/image.png", "message": "All of us at Pulsate are excited to partner with you", "name": "image.png", "width": 457, "height": 305 } ] } ] }, "opted_out_of_push": false, "location_tracking_enabled": true}
